#include <iostream>

using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	int n,i,m;
	cin>>n;
	long long z[27];
	char s[n];
	for(i=0;i<n;i++)
	cin>>s[i];
    z[0]=1;
    for(i=1;i<27;i++)
    z[i]=0;
	for(i=0;i<n;i++)
	{
	m=(int)(s[i]-'A');
	z[m+1]=(z[m+1]+(z[m])%1000000007)%1000000007;
}
 cout<<z[26];
}